Skip to main content
GET
/
documents
/
sections
/
cURL
curl --request GET \
  --url https://api.{environment}.corti.app/v2/documents/sections/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Tenant-Name: <tenant-name>'
import { CortiClient, CortiEnvironment } from "@corti/sdk";

const client = new CortiClient({
environment: CortiEnvironment.Eu,
auth: {
clientId: "YOUR_CLIENT_ID",
clientSecret: "YOUR_CLIENT_SECRET"
},
tenantName: "YOUR_TENANT_NAME"
});
await client.documents.sections.list();
using Corti.Documents;
using Corti;

var client = new CortiClient(
"TENANT_NAME",
CortiClientEnvironment.Eu,
new CortiClientAuth.ClientCredentials("client_id", "client_secret")
);
await client.Documents.Sections.ListAsync(new GuidedSectionsListRequest());
import requests

url = "https://api.{environment}.corti.app/v2/documents/sections/"

headers = {
"Tenant-Name": "<tenant-name>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://api.{environment}.corti.app/v2/documents/sections/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Tenant-Name: <tenant-name>"
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.{environment}.corti.app/v2/documents/sections/"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Tenant-Name", "<tenant-name>")
req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://api.{environment}.corti.app/v2/documents/sections/")
.header("Tenant-Name", "<tenant-name>")
.header("Authorization", "Bearer <token>")
.asString();
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "languages": [
      "<string>"
    ],
    "regions": [
      "<string>"
    ],
    "specialties": [
      "<string>"
    ],
    "labels": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ],
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "inheritedFromId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "autoGenerated": true,
    "description": "<string>",
    "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deletedAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Input your token

Headers

Tenant-Name
string
required

Identifies a distinct entity within Corti's multi-tenant system. Ensures correct routing and authentication of the request.

Example:

"base"

Query Parameters

lang
string[]

Filter sections by BCP 47 language tag (e.g. fr, de, or en-GB). Repeatable.

region
string[]

Filter sections by ISO 3166-1 alpha-3 region code (e.g. BEL). Repeatable.

specialty
string[]

Filter sections by clinical specialty. Repeatable.

label
string[]

Filter sections by label in key:value format. Repeatable; matches sections that have any of the given labels.

published
boolean

Filter by publish status. Omit to return both published and unpublished items; set to true for published only, false for unpublished only.

source
enum<string>

Filter by source. Omit to return both. user returns only user-created sections; corti returns only Corti standard sections. Filter by content source.

Available options:
user,
corti

Response

200 - application/json

OK

id
string<uuid>
required

The UUID of the section.

name
string
required

The name of the section.

languages
string[]
required

BCP 47 languages this section has been tweaked for. Empty means no language-specific tweaks.

regions
string[]
required

ISO 3166-1 alpha-3 country codes this section has been tweaked for. Empty means no region-specific tweaks.

specialties
string[]
required

Clinical specialties this section has been tweaked for. Empty means no specialty-specific tweaks.

labels
object[]
required

The labels available to use as query param filter in the LIST /sections endpoint.

createdAt
string<date-time>
required

The original timestamp when the section was created.

updatedAt
string<date-time>
required

The original timestamp when the section was last updated.

inheritedFromId
string<uuid> | null

Reference to the section to inherit generation configuration from. Inherits from published version by default.

autoGenerated
boolean

True if the section was auto-generated as part of an inline section-composed POST /documents request.

source
enum<string>

Whether this section was created by the user, a project-related API Client or is a Corti standard resource.

Available options:
user,
corti,
project
description
string

The description for the section.

createdBy
string<uuid>

The UUID of the creator of this section.

deletedAt
string<date-time> | null

Present when the section has been deleted. GET by ID still returns the full resource with this field populated.